/************************************************************************************
*                                                                                   *
*   grtsiud.sql        SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script granting all privileges              Script donnant tous les privileges  *
*   to update the Silverrun Repository.         pour modifier le Referentiel        *
*                                               Silverrun                           *
*                                                                                   *
*                                                                                   *
*   YOU MUST MODIFY THIS SCRIPT BEFORE          VOUS DEVEZ MODIFIER CE SCRIPT AVANT *
*   ITS FIRST RUN:                              SA PREMIERE EXECUTION :             *
*                                                                                   *
*   Replace the word <sr_users> by a            Remplacez le mot <sr_users> par une *
*   list of user name(s) and/or group(s).       liste de nom(s) d'utilisateur et/ou *
*                                               de "group(s)".                      *
*                                                                                   *
************************************************************************************/

use silverrun_db
go

GRANT select ON zModule TO <sr_users>
go
GRANT select, insert, update, delete ON zControl TO <sr_users>
go
GRANT select, insert, update, delete ON zConnect TO <sr_users>
go
GRANT select, insert, update, delete ON zChkUsed TO <sr_users>
go
GRANT select, insert, update, delete ON zChkTran TO <sr_users>
go

GRANT select, insert, update, delete ON dCell TO <sr_users>
go
GRANT select, insert, update, delete ON dCpnProc TO <sr_users>
go
GRANT select, insert, update, delete ON dCpnStor TO <sr_users>
go
GRANT select, insert, update, delete ON dDiag TO <sr_users>
go
GRANT select, insert, update, delete ON dDispDes TO <sr_users>
go
GRANT select, insert, update, delete ON dExEnGR TO <sr_users>
go
GRANT select, insert, update, delete ON dExEnPrs TO <sr_users>
go
GRANT select, insert, update, delete ON dExtEnt TO <sr_users>
go
GRANT select, insert, update, delete ON dFigure TO <sr_users>
go
GRANT select, insert, update, delete ON dFigurGR TO <sr_users>
go
GRANT select, insert, update, delete ON dFlow TO <sr_users>
go
GRANT select, insert, update, delete ON dFlowGR TO <sr_users>
go
GRANT select, insert, update, delete ON dFont TO <sr_users>
go
GRANT select, insert, update, delete ON dFText TO <sr_users>
go
GRANT select, insert, update, delete ON dFTextGR TO <sr_users>
go
GRANT select, insert, update, delete ON dGrapRep TO <sr_users>
go
GRANT select, insert, update, delete ON dLabelGR TO <sr_users>
go
GRANT select, insert, update, delete ON dLine TO <sr_users>
go
GRANT select, insert, update, delete ON dLineGR TO <sr_users>
go
GRANT select, insert, update, delete ON dLinkGR TO <sr_users>
go
GRANT select, insert, update, delete ON dNode TO <sr_users>
go
GRANT select, insert, update, delete ON dPictGR TO <sr_users>
go
GRANT select, insert, update, delete ON dPicture TO <sr_users>
go
GRANT select, insert, update, delete ON dProcess TO <sr_users>
go
GRANT select, insert, update, delete ON dProcFrm TO <sr_users>
go
GRANT select, insert, update, delete ON dProcGR TO <sr_users>
go
GRANT select, insert, update, delete ON dProcPrs TO <sr_users>
go
GRANT select, insert, update, delete ON dQualGR TO <sr_users>
go
GRANT select, insert, update, delete ON dQualif TO <sr_users>
go
GRANT select, insert, update, delete ON dQulExEn TO <sr_users>
go
GRANT select, insert, update, delete ON dQulFlow TO <sr_users>
go
GRANT select, insert, update, delete ON dQulProc TO <sr_users>
go
GRANT select, insert, update, delete ON dQulSto TO <sr_users>
go
GRANT select, insert, update, delete ON dResourc TO <sr_users>
go
GRANT select, insert, update, delete ON dResProc TO <sr_users>
go
GRANT select, insert, update, delete ON dStamp TO <sr_users>
go
GRANT select, insert, update, delete ON dStampGR TO <sr_users>
go
GRANT select, insert, update, delete ON dStore TO <sr_users>
go
GRANT select, insert, update, delete ON dStoreGR TO <sr_users>
go
GRANT select, insert, update, delete ON dStorPrs TO <sr_users>
go
GRANT select, insert, update, delete ON dZone TO <sr_users>
go
GRANT select, insert, update, delete ON rActCat TO <sr_users>
go
GRANT select, insert, update, delete ON rAction TO <sr_users>
go
GRANT select, insert, update, delete ON rAttrSet TO <sr_users>
go
GRANT select, insert, update, delete ON rBlkCfg TO <sr_users>
go
GRANT select, insert, update, delete ON rChoice TO <sr_users>
go
GRANT select, insert, update, delete ON rChoiceG TO <sr_users>
go
GRANT select, insert, update, delete ON rChoiLnG TO <sr_users>
go
GRANT select, insert, update, delete ON rColAct TO <sr_users>
go
GRANT select, insert, update, delete ON rColumn TO <sr_users>
go
GRANT select, insert, update, delete ON rColVal TO <sr_users>
go
GRANT select, insert, update, delete ON rCombCol TO <sr_users>
go
GRANT select, insert, update, delete ON rCombDir TO <sr_users>
go
GRANT select, insert, update, delete ON rCombin TO <sr_users>
go
GRANT select, insert, update, delete ON rCompTbl TO <sr_users>
go
GRANT select, insert, update, delete ON rConcAcc TO <sr_users>
go
GRANT select, insert, update, delete ON rConnect TO <sr_users>
go
GRANT select, insert, update, delete ON rConnG TO <sr_users>
go
GRANT select, insert, update, delete ON rConnvG TO <sr_users>
go
GRANT select, insert, update, delete ON rConstr TO <sr_users>
go
GRANT select, insert, update, delete ON rContent TO <sr_users>
go
GRANT select, insert, update, delete ON rDatabas TO <sr_users>
go
GRANT select, insert, update, delete ON rDescAcc TO <sr_users>
go
GRANT select, insert, update, delete ON rDiagram TO <sr_users>
go
GRANT select, insert, update, delete ON rDim TO <sr_users>
go
GRANT select, insert, update, delete ON rDirect TO <sr_users>
go
GRANT select, insert, update, delete ON rErrMsg TO <sr_users>
go
GRANT select, insert, update, delete ON rFigure TO <sr_users>
go
GRANT select, insert, update, delete ON rFigureG TO <sr_users>
go
GRANT select, insert, update, delete ON rFile TO <sr_users>
go
GRANT select, insert, update, delete ON rFilSgrp TO <sr_users>
go
GRANT select, insert, update, delete ON rFilTbsp TO <sr_users>
go
GRANT select, insert, update, delete ON rFont TO <sr_users>
go
GRANT select, insert, update, delete ON rGraphic TO <sr_users>
go
GRANT select, insert, update, delete ON rIBICol TO <sr_users>
go
GRANT select, insert, update, delete ON rIBIDir TO <sr_users>
go
GRANT select, insert, update, delete ON rIBILink TO <sr_users>
go
GRANT select, insert, update, delete ON rIBILoc TO <sr_users>
go
GRANT select, insert, update, delete ON rIBIMFD TO <sr_users>
go
GRANT select, insert, update, delete ON rIBISec TO <sr_users>
go
GRANT select, insert, update, delete ON rIBITab TO <sr_users>
go
GRANT select, insert, update, delete ON rIndex TO <sr_users>
go
GRANT select, insert, update, delete ON rIndTbsp TO <sr_users>
go
GRANT select, insert, update, delete ON rLabelG TO <sr_users>
go
GRANT select, insert, update, delete ON rLine TO <sr_users>
go
GRANT select, insert, update, delete ON rLineG TO <sr_users>
go
GRANT select, insert, update, delete ON rMDIndex TO <sr_users>
go
GRANT select, insert, update, delete ON rPart TO <sr_users>
go
GRANT select, insert, update, delete ON rPictG TO <sr_users>
go
GRANT select, insert, update, delete ON rPicture TO <sr_users>
go
GRANT select, insert, update, delete ON rProc TO <sr_users>
go
GRANT select, insert, update, delete ON rRelCol TO <sr_users>
go
GRANT select, insert, update, delete ON rRollSeg TO <sr_users>
go
GRANT select, insert, update, delete ON rSDColn TO <sr_users>
go
GRANT select, insert, update, delete ON rSDFld TO <sr_users>
go
GRANT select, insert, update, delete ON rSDFldVl TO <sr_users>
go
GRANT select, insert, update, delete ON rSeq TO <sr_users>
go
GRANT select, insert, update, delete ON rSpecSym TO <sr_users>
go
GRANT select, insert, update, delete ON rStamp TO <sr_users>
go
GRANT select, insert, update, delete ON rStampG TO <sr_users>
go
GRANT select, insert, update, delete ON rStoCfg TO <sr_users>
go
GRANT select, insert, update, delete ON rStogrp TO <sr_users>
go
GRANT select, insert, update, delete ON rSubZone TO <sr_users>
go
GRANT select, insert, update, delete ON rSvwCol TO <sr_users>
go
GRANT select, insert, update, delete ON rSvwFmt TO <sr_users>
go
GRANT select, insert, update, delete ON rTable TO <sr_users>
go
GRANT select, insert, update, delete ON rTableG TO <sr_users>
go
GRANT select, insert, update, delete ON rTabspc TO <sr_users>
go
GRANT select, insert, update, delete ON rTabTbsp TO <sr_users>
go
GRANT select, insert, update, delete ON rText TO <sr_users>
go
GRANT select, insert, update, delete ON rTextG TO <sr_users>
go
GRANT select, insert, update, delete ON rZone TO <sr_users>
go
GRANT select, insert, update, delete ON tImage TO <sr_users>
go
GRANT select, insert, update, delete ON tItgParm TO <sr_users>
go
GRANT select, insert, update, delete ON tLongTxt TO <sr_users>
go
GRANT select, insert, update, delete ON tPrtParm TO <sr_users>
go
GRANT select, insert, update, delete ON wBasType TO <sr_users>
go
GRANT select, insert, update, delete ON wCharact TO <sr_users>
go
GRANT select, insert, update, delete ON wComItem TO <sr_users>
go
GRANT select, insert, update, delete ON wCompCat TO <sr_users>
go
GRANT select, insert, update, delete ON wCompon TO <sr_users>
go
GRANT select, insert, update, delete ON wCompPrs TO <sr_users>
go
GRANT select, insert, update, delete ON wCorrCat TO <sr_users>
go
GRANT select, insert, update, delete ON wCorresp TO <sr_users>
go
GRANT select, insert, update, delete ON wDefault TO <sr_users>
go
GRANT select, insert, update, delete ON wDomain TO <sr_users>
go
GRANT select, insert, update, delete ON wDomPrs TO <sr_users>
go
GRANT select, insert, update, delete ON wDomVal TO <sr_users>
go
GRANT select, insert, update, delete ON wExtStru TO <sr_users>
go
GRANT select, insert, update, delete ON wItemPrs TO <sr_users>
go
GRANT select, insert, update, delete ON wNSRRep TO <sr_users>
go
GRANT select, insert, update, delete ON wProject TO <sr_users>
go
GRANT select, insert, update, delete ON wRepPrs TO <sr_users>
go
GRANT select, insert, update, delete ON wRepres TO <sr_users>
go
GRANT select, insert, update, delete ON wRule TO <sr_users>
go
GRANT select, insert, update, delete ON wSRRep TO <sr_users>
go
GRANT select, insert, update, delete ON wStruct TO <sr_users>
go
GRANT select, insert, update, delete ON wStruNod TO <sr_users>
go
GRANT select, insert, update, delete ON wStruPrs TO <sr_users>
go
GRANT select, insert, update, delete ON wSubStru TO <sr_users>
go
GRANT select, insert, update, delete ON wTargSys TO <sr_users>
go
GRANT select, insert, update, delete ON wTypePrs TO <sr_users>
go
GRANT select, insert, update, delete ON wUFldVal TO <sr_users>
go
GRANT select, insert, update, delete ON wUser TO <sr_users>
go
GRANT select, insert, update, delete ON wUserFld TO <sr_users>
go
