/************************************************************************************
*                                                                                   *
*   grtslect.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script granting only select                 Script donnant seulement les        *
*   privileges on the Silverrun                 privileges de consultation sur le   *
*   Repository.                                 Referentiel Silverrun.              *
*                                                                                   *
*                                                                                   *
*   YOU MUST MODIFY THIS SCRIPT BEFORE          VOUS DEVEZ MODIFIER CE SCRIPT AVANT *
*   ITS FIRST RUN:                              SA PREMIERE EXECUTION :             *
*                                                                                   *
*   Replace the word <sr_users> by a            Remplacez le mot <sr_users> par une *
*   list of user name(s) and/or group(s).       liste de nom(s) d'utilisateur et/ou *
*                                               de "group(s)".                      *
*                                                                                   *
************************************************************************************/

use silverrun_db
go

GRANT select ON zModule TO <sr_users>
go
GRANT select, insert, update, delete ON zControl TO <sr_users>
go
GRANT select, insert, update, delete ON zConnect TO <sr_users>
go
GRANT select, insert, update, delete ON zChkUsed TO <sr_users>
go
GRANT select, insert, update, delete ON zChkTran TO <sr_users>
go
GRANT select, insert, update, delete ON tPrtParm TO <sr_users>
go
GRANT select, insert, update, delete ON rDiagram TO <sr_users>
go
GRANT select, insert, update, delete ON wRepres TO <sr_users>
go
GRANT select, insert, update, delete ON wSRRep TO <sr_users>
go

GRANT select ON dCell TO <sr_users>
go
GRANT select ON dCpnProc TO <sr_users>
go
GRANT select ON dCpnStor TO <sr_users>
go
GRANT select ON dDiag TO <sr_users>
go
GRANT select ON dDispDes TO <sr_users>
go
GRANT select ON dExEnGR TO <sr_users>
go
GRANT select ON dExEnPrs TO <sr_users>
go
GRANT select ON dExtEnt TO <sr_users>
go
GRANT select ON dFigure TO <sr_users>
go
GRANT select ON dFigurGR TO <sr_users>
go
GRANT select ON dFlow TO <sr_users>
go
GRANT select ON dFlowGR TO <sr_users>
go
GRANT select ON dFont TO <sr_users>
go
GRANT select ON dFText TO <sr_users>
go
GRANT select ON dFTextGR TO <sr_users>
go
GRANT select ON dGrapRep TO <sr_users>
go
GRANT select ON dLabelGR TO <sr_users>
go
GRANT select ON dLine TO <sr_users>
go
GRANT select ON dLineGR TO <sr_users>
go
GRANT select ON dLinkGR TO <sr_users>
go
GRANT select ON dNode TO <sr_users>
go
GRANT select ON dPictGR TO <sr_users>
go
GRANT select ON dPicture TO <sr_users>
go
GRANT select ON dProcess TO <sr_users>
go
GRANT select ON dProcFrm TO <sr_users>
go
GRANT select ON dProcGR TO <sr_users>
go
GRANT select ON dProcPrs TO <sr_users>
go
GRANT select ON dQualGR TO <sr_users>
go
GRANT select ON dQualif TO <sr_users>
go
GRANT select ON dQulExEn TO <sr_users>
go
GRANT select ON dQulFlow TO <sr_users>
go
GRANT select ON dQulProc TO <sr_users>
go
GRANT select ON dQulSto TO <sr_users>
go
GRANT select ON dResourc TO <sr_users>
go
GRANT select ON dResProc TO <sr_users>
go
GRANT select ON dStamp TO <sr_users>
go
GRANT select ON dStampGR TO <sr_users>
go
GRANT select ON dStore TO <sr_users>
go
GRANT select ON dStoreGR TO <sr_users>
go
GRANT select ON dStorPrs TO <sr_users>
go
GRANT select ON dZone TO <sr_users>
go
GRANT select ON rActCat TO <sr_users>
go
GRANT select ON rAction TO <sr_users>
go
GRANT select ON rAttrSet TO <sr_users>
go
GRANT select ON rBlkCfg TO <sr_users>
go
GRANT select ON rChoice TO <sr_users>
go
GRANT select ON rChoiceG TO <sr_users>
go
GRANT select ON rChoiLnG TO <sr_users>
go
GRANT select ON rColAct TO <sr_users>
go
GRANT select ON rColumn TO <sr_users>
go
GRANT select ON rColVal TO <sr_users>
go
GRANT select ON rCombCol TO <sr_users>
go
GRANT select ON rCombDir TO <sr_users>
go
GRANT select ON rCombin TO <sr_users>
go
GRANT select ON rCompTbl TO <sr_users>
go
GRANT select ON rConcAcc TO <sr_users>
go
GRANT select ON rConnect TO <sr_users>
go
GRANT select ON rConnG TO <sr_users>
go
GRANT select ON rConnvG TO <sr_users>
go
GRANT select ON rConstr TO <sr_users>
go
GRANT select ON rContent TO <sr_users>
go
GRANT select ON rDatabas TO <sr_users>
go
GRANT select ON rDescAcc TO <sr_users>
go
GRANT select ON rDim TO <sr_users>
go
GRANT select ON rDirect TO <sr_users>
go
GRANT select ON rErrMsg TO <sr_users>
go
GRANT select ON rFigure TO <sr_users>
go
GRANT select ON rFigureG TO <sr_users>
go
GRANT select ON rFile TO <sr_users>
go
GRANT select ON rFilSgrp TO <sr_users>
go
GRANT select ON rFilTbsp TO <sr_users>
go
GRANT select ON rFont TO <sr_users>
go
GRANT select ON rGraphic TO <sr_users>
go
GRANT select ON rIBICol TO <sr_users>
go
GRANT select ON rIBIDir TO <sr_users>
go
GRANT select ON rIBILink TO <sr_users>
go
GRANT select ON rIBILoc TO <sr_users>
go
GRANT select ON rIBIMFD TO <sr_users>
go
GRANT select ON rIBISec TO <sr_users>
go
GRANT select ON rIBITab TO <sr_users>
go
GRANT select ON rIndex TO <sr_users>
go
GRANT select ON rIndTbsp TO <sr_users>
go
GRANT select ON rLabelG TO <sr_users>
go
GRANT select ON rLine TO <sr_users>
go
GRANT select ON rLineG TO <sr_users>
go
GRANT select ON rMDIndex TO <sr_users>
go
GRANT select ON rPart TO <sr_users>
go
GRANT select ON rPictG TO <sr_users>
go
GRANT select ON rPicture TO <sr_users>
go
GRANT select ON rProc TO <sr_users>
go
GRANT select ON rRelCol TO <sr_users>
go
GRANT select ON rRollSeg TO <sr_users>
go
GRANT select ON rSDColn TO <sr_users>
go
GRANT select ON rSDFld TO <sr_users>
go
GRANT select ON rSDFldVl TO <sr_users>
go
GRANT select ON rSeq TO <sr_users>
go
GRANT select ON rSpecSym TO <sr_users>
go
GRANT select ON rStamp TO <sr_users>
go
GRANT select ON rStampG TO <sr_users>
go
GRANT select ON rStoCfg TO <sr_users>
go
GRANT select ON rStogrp TO <sr_users>
go
GRANT select ON rSubZone TO <sr_users>
go
GRANT select ON rSvwCol TO <sr_users>
go
GRANT select ON rSvwFmt TO <sr_users>
go
GRANT select ON rTable TO <sr_users>
go
GRANT select ON rTableG TO <sr_users>
go
GRANT select ON rTabspc TO <sr_users>
go
GRANT select ON rTabTbsp TO <sr_users>
go
GRANT select ON rText TO <sr_users>
go
GRANT select ON rTextG TO <sr_users>
go
GRANT select ON rZone TO <sr_users>
go
GRANT select ON tImage TO <sr_users>
go
GRANT select ON tItgParm TO <sr_users>
go
GRANT select ON tLongTxt TO <sr_users>
go
GRANT select ON wBasType TO <sr_users>
go
GRANT select ON wCharact TO <sr_users>
go
GRANT select ON wComItem TO <sr_users>
go
GRANT select ON wCompCat TO <sr_users>
go
GRANT select ON wCompon TO <sr_users>
go
GRANT select ON wCompPrs TO <sr_users>
go
GRANT select ON wCorrCat TO <sr_users>
go
GRANT select ON wCorresp TO <sr_users>
go
GRANT select ON wDefault TO <sr_users>
go
GRANT select ON wDomain TO <sr_users>
go
GRANT select ON wDomPrs TO <sr_users>
go
GRANT select ON wDomVal TO <sr_users>
go
GRANT select ON wExtStru TO <sr_users>
go
GRANT select ON wItemPrs TO <sr_users>
go
GRANT select ON wNSRRep TO <sr_users>
go
GRANT select ON wProject TO <sr_users>
go
GRANT select ON wRepPrs TO <sr_users>
go
GRANT select ON wRule TO <sr_users>
go
GRANT select ON wStruct TO <sr_users>
go
GRANT select ON wStruNod TO <sr_users>
go
GRANT select ON wStruPrs TO <sr_users>
go
GRANT select ON wSubStru TO <sr_users>
go
GRANT select ON wTargSys TO <sr_users>
go
GRANT select ON wTypePrs TO <sr_users>
go
GRANT select ON wUFldVal TO <sr_users>
go
GRANT select ON wUser TO <sr_users>
go
GRANT select ON wUserFld TO <sr_users>
go
