/************************************************************************************
*                                                                                   *
*   drptable.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script dropping all SILVERRUN tables        Script supprimant toutes les tables *
*   except zModule, and the default on          SILVERRUN sauf zModule, et le       *
*   zConnect.                                   "default" sur zConnect.             *
*                                                                                   *
*                                                                                   *
************************************************************************************/


use silverrun_db
go

/* Table zModule will not be dropped,
** because it may be used by other SILVERRUN Applications.*/
/* drop table zModule */
/* go */

sp_unbindefault 'zConnect.zPad1'
go
sp_unbindefault 'zConnect.zPad2'
go
sp_unbindefault 'zConnect.zPad3'
go
sp_unbindefault 'zConnect.zPad4'
go
drop default zPad
go

drop table dCell
go
drop table dCpnProc
go
drop table dCpnStor
go
drop table dDiag
go
drop table dDispDes
go
drop table dExEnGR
go
drop table dExEnPrs
go
drop table dExtEnt
go
drop table dFigure
go
drop table dFigurGR
go
drop table dFlow
go
drop table dFlowGR
go
drop table dFont
go
drop table dFText
go
drop table dFTextGR
go
drop table dGrapRep
go
drop table dLabelGR
go
drop table dLine
go
drop table dLineGR
go
drop table dLinkGR
go
drop table dNode
go
drop table dPictGR
go
drop table dPicture
go
drop table dProcess
go
drop table dProcFrm
go
drop table dProcGR
go
drop table dProcPrs
go
drop table dQualGR
go
drop table dQualif
go
drop table dQulExEn
go
drop table dQulFlow
go
drop table dQulProc
go
drop table dQulSto
go
drop table dResourc
go
drop table dResProc
go
drop table dStamp
go
drop table dStampGR
go
drop table dStore
go
drop table dStoreGR
go
drop table dStorPrs
go
drop table dZone
go
drop table rActCat
go
drop table rAction
go
drop table rAttrSet
go
drop table rBlkCfg
go
drop table rChoice
go
drop table rChoiceG
go
drop table rChoiLnG
go
drop table rColAct
go
drop table rColumn
go
drop table rColVal
go
drop table rCombCol
go
drop table rCombDir
go
drop table rCombin
go
drop table rCompTbl
go
drop table rConcAcc
go
drop table rConnect
go
drop table rConnG
go
drop table rConnvG
go
drop table rConstr
go
drop table rContent
go
drop table rDatabas
go
drop table rDescAcc
go
drop table rDiagram
go
drop table rDim
go
drop table rDirect
go
drop table rErrMsg
go
drop table rFigure
go
drop table rFigureG
go
drop table rFile
go
drop table rFilSgrp
go
drop table rFilTbsp
go
drop table rFont
go
drop table rGraphic
go
drop table rIBICol
go
drop table rIBIDir
go
drop table rIBILink
go
drop table rIBILoc
go
drop table rIBIMFD
go
drop table rIBISec
go
drop table rIBITab
go
drop table rIndex
go
drop table rIndTbsp
go
drop table rLabelG
go
drop table rLine
go
drop table rLineG
go
drop table rMDIndex
go
drop table rPart
go
drop table rPictG
go
drop table rPicture
go
drop table rProc
go
drop table rRelCol
go
drop table rRollSeg
go
drop table rSDColn
go
drop table rSDFld
go
drop table rSDFldVl
go
drop table rSeq
go
drop table rSpecSym
go
drop table rStamp
go
drop table rStampG
go
drop table rStoCfg
go
drop table rStogrp
go
drop table rSubZone
go
drop table rSvwCol
go
drop table rSvwFmt
go
drop table rTable
go
drop table rTableG
go
drop table rTabspc
go
drop table rTabTbsp
go
drop table rText
go
drop table rTextG
go
drop table rZone
go
drop table tImage
go
drop table tItgParm
go
drop table tLongTxt
go
drop table tPrtParm
go
drop table wBasType
go
drop table wCharact
go
drop table wComItem
go
drop table wCompCat
go
drop table wCompon
go
drop table wCompPrs
go
drop table wCorrCat
go
drop table wCorresp
go
drop table wDefault
go
drop table wDomain
go
drop table wDomPrs
go
drop table wDomVal
go
drop table wExtStru
go
drop table wItemPrs
go
drop table wNSRRep
go
drop table wProject
go
drop table wRepPrs
go
drop table wRepres
go
drop table wRule
go
drop table wSRRep
go
drop table wStruct
go
drop table wStruNod
go
drop table wStruPrs
go
drop table wSubStru
go
drop table wTargSys
go
drop table wTypePrs
go
drop table wUFldVal
go
drop table wUser
go
drop table wUserFld
go
drop table zChkTran
go
drop table zChkUsed
go
drop table zConnect
go
drop table zControl
go

