/************************************************************************************
*                                                                                   *
*   truncate.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script deleting all occurences of           Script supprimant toutes les        *
*   the SILVERRUN Repository tables             occurrences des tables du           *
*   except those of zModule.                    Referentiel SILVERRUN sauf celles   *
*                                               de zModule.                         *
*                                                                                   *
************************************************************************************/

use silverrun_db
go

/* Table zModule will not be truncated,
** because it may be used by other SILVERRUN Applications.*/
/* truncate table zModule */
/* go */

truncate table dCell
go
truncate table dCpnProc
go
truncate table dCpnStor
go
truncate table dDiag
go
truncate table dDispDes
go
truncate table dExEnGR
go
truncate table dExEnPrs
go
truncate table dExtEnt
go
truncate table dFigure
go
truncate table dFigurGR
go
truncate table dFlow
go
truncate table dFlowGR
go
truncate table dFont
go
truncate table dFText
go
truncate table dFTextGR
go
truncate table dGrapRep
go
truncate table dLabelGR
go
truncate table dLine
go
truncate table dLineGR
go
truncate table dLinkGR
go
truncate table dNode
go
truncate table dPictGR
go
truncate table dPicture
go
truncate table dProcess
go
truncate table dProcFrm
go
truncate table dProcGR
go
truncate table dProcPrs
go
truncate table dQualGR
go
truncate table dQualif
go
truncate table dQulExEn
go
truncate table dQulFlow
go
truncate table dQulProc
go
truncate table dQulSto
go
truncate table dResourc
go
truncate table dResProc
go
truncate table dStamp
go
truncate table dStampGR
go
truncate table dStore
go
truncate table dStoreGR
go
truncate table dStorPrs
go
truncate table dZone
go
truncate table rActCat
go
truncate table rAction
go
truncate table rAttrSet
go
truncate table rBlkCfg
go
truncate table rChoice
go
truncate table rChoiceG
go
truncate table rChoiLnG
go
truncate table rColAct
go
truncate table rColumn
go
truncate table rColVal
go
truncate table rCombCol
go
truncate table rCombDir
go
truncate table rCombin
go
truncate table rCompTbl
go
truncate table rConcAcc
go
truncate table rConnect
go
truncate table rConnG
go
truncate table rConnvG
go
truncate table rConstr
go
truncate table rContent
go
truncate table rDatabas
go
truncate table rDescAcc
go
truncate table rDiagram
go
truncate table rDim
go
truncate table rDirect
go
truncate table rErrMsg
go
truncate table rFigure
go
truncate table rFigureG
go
truncate table rFile
go
truncate table rFilSgrp
go
truncate table rFilTbsp
go
truncate table rFont
go
truncate table rGraphic
go
truncate table rIBICol
go
truncate table rIBIDir
go
truncate table rIBILink
go
truncate table rIBILoc
go
truncate table rIBIMFD
go
truncate table rIBISec
go
truncate table rIBITab
go
truncate table rIndex
go
truncate table rIndTbsp
go
truncate table rLabelG
go
truncate table rLine
go
truncate table rLineG
go
truncate table rMDIndex
go
truncate table rPart
go
truncate table rPictG
go
truncate table rPicture
go
truncate table rProc
go
truncate table rRelCol
go
truncate table rRollSeg
go
truncate table rSDColn
go
truncate table rSDFld
go
truncate table rSDFldVl
go
truncate table rSeq
go
truncate table rSpecSym
go
truncate table rStamp
go
truncate table rStampG
go
truncate table rStoCfg
go
truncate table rStogrp
go
truncate table rSubZone
go
truncate table rSvwCol
go
truncate table rSvwFmt
go
truncate table rTable
go
truncate table rTableG
go
truncate table rTabspc
go
truncate table rTabTbsp
go
truncate table rText
go
truncate table rTextG
go
truncate table rZone
go
truncate table tImage
go
truncate table tItgParm
go
truncate table tLongTxt
go
truncate table tPrtParm
go
truncate table wBasType
go
truncate table wCharact
go
truncate table wComItem
go
truncate table wCompCat
go
truncate table wCompon
go
truncate table wCompPrs
go
truncate table wCorrCat
go
truncate table wCorresp
go
truncate table wDefault
go
truncate table wDomain
go
truncate table wDomPrs
go
truncate table wDomVal
go
truncate table wExtStru
go
truncate table wItemPrs
go
truncate table wNSRRep
go
truncate table wProject
go
truncate table wRepPrs
go
truncate table wRepres
go
truncate table wRule
go
truncate table wSRRep
go
truncate table wStruct
go
truncate table wStruNod
go
truncate table wStruPrs
go
truncate table wSubStru
go
truncate table wTargSys
go
truncate table wTypePrs
go
truncate table wUFldVal
go
truncate table wUser
go
truncate table wUserFld
go
truncate table zChkTran
go
truncate table zChkUsed
go
truncate table zConnect
go
truncate table zControl
go

